Update the payment acceptor

Requires the PAYMENT_ACCEPTOR.UPDATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdstringRequiredDefaults to
The ID of the resource to be requested.

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
referencestringRequiredformat: "^\S+$"0-256 characters
billing_entity_idstring or nullOptional

Resource ID of type BILLING_ENTITY

customer_idstring or nullOptional
Resource ID of type CUSTOMER
namestring or nullOptionalformat: "^.*$"0-256 characters
descriptionstring or nullOptionalformat: "^.*$"0-256 characters
typeenum or nullOptional
Allowed values:
bank_accountobjectOptional
payment_gatewayobjectOptional
custom_redirectobjectOptional
statusenum or nullOptional
Allowed values:

Response

OK
referencestringformat: "^\S+$"0-256 characters
object_typestring or nullRead-only
idstring or nullRead-only
billing_entity_idstring or null

Resource ID of type BILLING_ENTITY

customer_idstring or null
Resource ID of type CUSTOMER
namestring or nullformat: "^.*$"0-256 characters
descriptionstring or nullformat: "^.*$"0-256 characters
typeenum or null
Allowed values:
bank_accountobject
payment_gatewayobject
custom_redirectobject
statusenum or null
Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error